<div ng-show="loading" class="slide-top">
    <div style="text-align: center;margin-top:20%;">
        <div class="sp sp-circle"></div>
    </div>
</div>
<div ng-hide="loading">
    <div class="row-col">
        <div class="col-sm">
            <div class="box m-b-0">
                <div class="box-header">
                    <h2>Details</h2>
                    <small>Here you can edit or create a new super power</small>
                </div>
                <div class="box-divider m-a-0"></div>
                <div>
                    <form role="form" name="form" class="form-validation">
                        <div class="box">
                            <div class="box-body">
                                <div class="form-group row" show-errors>
                                    <label class="col-sm-2 form-control-label">Name <span class="text-danger">*</span></label>
                                    <div class="col-sm-5">
                                        <input autocomplete="off" type="text" class="form-control" placeholder="Name" ng-model="item.name" name="name" ng-required="true">

                                        <p class="text-danger m-t-sm _600" ng-if="form.name.$error.required && form.name.$dirty">This field is required</p>
                                    </div>
                                </div>
                            </div>
                            <footer class="p-a dker text-right">
                                <button type="button" class="btn primary" ng-click="save(form)" type="submit">Save</button>
                            </footer>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>